Retrieve a letter by its Uuid
GET
/api/v2/channels/{{channel}}/letters/{uniqueId}
List or search through newsletters based on their publication status or keywords.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” channel
required
string
uniqueId
required
string
Query Parameters
Section titled “Query Parameters ” api
string
Example
falseWhen true, instructs the endpoint that you’re authenticating with an organization key as opposed to some other method. In almost all cases you will want to set this value to true.
Responses
Section titled “ Responses ”Retrieve a letter
Media type application/json
object
campaignId
string
copyRendered
string
createdAt
string
deletedAt
delta
string
emailServiceProvider
number
emailTemplate
string
id
number
includePromotions
boolean
insights
object
readability
object
ease
number
time
string
private
boolean
promotions
string
publicationDate
string
publicationDateOffset
string
publicationDateTzCode
string
publicationEvent
number
publicationStatus
number
publishIntent
string
segmentId
number
segmentName
string
slug
string
specialBanner
string
subtitle
string
title
string
uniqueId
string
updatedAt
string
Examples
Example Retrieve a letter
{ "campaignId": "6cuswtvr7p", "copyRendered": "", "createdAt": "2022-09-14 19:54:12", "deletedAt": null, "delta": "", "emailServiceProvider": 3, "emailTemplate": "<!-- full rendered html -->", "id": 4991, "includePromotions": true, "insights": { "readability": { "ease": 86, "time": "1 minute read" } }, "private": false, "promotions": "", "publicationDate": "2023-09-20 12:00:00", "publicationDateOffset": "-05:00", "publicationDateTzCode": "America/New_York", "publicationEvent": 0, "publicationStatus": 2, "publishIntent": "email", "segmentId": 0, "segmentName": "", "slug": "", "specialBanner": "", "subtitle": "Yes it is", "title": "This is a scheduled newsletter", "uniqueId": "6cuswtvr7p", "updatedAt": "2022-09-14 19:54:12"}Headers
Section titled “Headers ” Access-Control-Allow-Credentials
string
Example
true Access-Control-Allow-Origin
string
Example
* Access-Control-Max-Age
string
Example
86400 Cache-Control
string
Example
no-cache, private Connection
string
Example
keep-alive Date
string
Example
Thu, 22 Sep 2022 02:49:47 GMT Server
string
Example
nginx/1.14.0 (Ubuntu) Transfer-Encoding
string
Example
chunkedStill can’t find what you need? Contact support.